//@ts-check

/**
 * Changes the document's title. Instead of passing the main title, you can also
 * change the functions `title` member:
 * ```js
 * changeTitle.title = "My Site"
 * changeTitle("Home") // produces "Home | My Site"
 * ```
 * @param {string} title
 * @param {string} mainTitle
 * @returns
 */
export const changeTitle = (title, mainTitle = changeTitle.title) =>
  document && (document.title = `${title} | ${mainTitle}`);

changeTitle.title = (document && document.title) || "";

export default changeTitle;
